Skip to content

insertWarehouseTransfer

WRITE

Create a warehouse transfer between locations. Generates sequence ID automatically..

POST /api/v1/inventory/insertWarehouseTransfer
curl -X POST '<your-host>/api/v1/inventory/insertWarehouseTransfer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fromLocationId": "string",
    "toLocationId": "string"
  }'
Response
{
  "id": "string",
  "transferId": "string"
}

Parameters

ParameterType
"Draft""To Ship and Receive""To Ship""To Receive""Completed""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "fromLocationId": {
      "type": "string"
    },
    "toLocationId": {
      "type": "string"
    },
    "transferId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "To Ship and Receive",
        "To Ship",
        "To Receive",
        "Completed",
        "Cancelled"
      ]
    },
    "transferDate": {
      "type": "string"
    },
    "expectedReceiptDate": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "reference": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "fromLocationId",
    "toLocationId"
  ]
}